module Galactica_blackhole

using ..Ahorn, Maple

@mapdef Entity "Galactica/BlackHole" BlackHole(x::Integer, y::Integer, width::Integer=Maple.defaultBlockWidth, height::Integer=Maple.defaultBlockHeight)

const placements = Ahorn.PlacementDict(
    "BlackHole (Galactica)" => Ahorn.EntityPlacement(
        BlackHole,
        "rectangle"
    )
)

function Ahorn.selection(entity::BlackHole)
    x, y = Ahorn.position(entity)
    
    return Ahorn.getSpriteRectangle(sprite, x, y)
end

sprite = "BlackHole/Blackhole00"
Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::BlackHole, room::Maple.Room) = Ahorn.drawSprite(ctx,sprite ,0,0)

end