module Galactica_wormhole

using ..Ahorn, Maple


@mapdef Entity "Galactica/Wormhole"  Wormhole(x::Integer, y::Integer, width::Integer=Maple.defaultBlockWidth, height::Integer=Maple.defaultBlockHeight,SetIsID::Integer=-1, SetTargetID::Integer=-1, RequireDash::Bool=false)

const placements = Ahorn.PlacementDict(
    "Wormhole (Galactica)" => Ahorn.EntityPlacement(
        Wormhole,
        "rectangle"
    )
)

function Ahorn.selection(entity::Wormhole)
    x, y = Ahorn.position(entity)
    
    return Ahorn.getSpriteRectangle(sprite, x, y)
end

sprite = "Wormhole/Wormhole00"
Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::Wormhole, room::Maple.Room) = Ahorn.drawSprite(ctx,sprite ,0,0)

end